<?php

namespace FiloBlu\AdminSecurity\Controller\Adminhtml;

use FiloBlu\AdminSecurity\Model\Authentication;
use FiloBlu\AdminSecurity\Model\Ip;
use Magento\Backend\App\Action\Context;
use Magento\User\Model\UserFactory;

/**
 *  Auth controller
 */
abstract class Auth extends \Magento\Backend\App\AbstractAction
{
    /**
     * User model factory
     *
     * @var UserFactory
     */
    protected $userFactory;

    /**
     * @var Authentication
     */
    protected $authModel;

    /**
     * @var Ip
     */
    protected $ipModel;

    /**
     * Construct
     *
     * @param Context $context
     * @param UserFactory $userFactory
     * @param Authentication $authModel
     * @param Ip $ipModel
     */
    public function __construct(
        Context        $context,
        UserFactory    $userFactory,
        Authentication $authModel,
        Ip             $ipModel
    )
    {
        parent::__construct($context);
        $this->userFactory = $userFactory;
        $this->authModel = $authModel;
        $this->ipModel = $ipModel;
    }

    /**
     * Check if user has permissions to access this controller
     *
     * @return bool
     */
    protected function _isAllowed()
    {
        return true;
    }
}
